Subject: Re: [ANNOUNCE] Git v2.0.0-rc0

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Apr 2014 13:12:56 -0700

The following message is a courtesy copy of an article
that has been posted to gmane.comp.version-control.git as well.

Jonathan Nieder <[email-masked]> writes:

> Hm, perhaps we should introduce a 'no-prefix' option to work around
> this.
> ...
>> |diff --git a/git-svn.perl b/git-svn.perl
>> |index 7349ffea..284f458a 100755
>> |--- a/git-svn.perl
>> |+++ b/git-svn.perl
>> |@@ -149,7 +149,7 @@ my ($_trunk, @_tags, @_branches, $_stdlayout);
>>   my %icv;
>>   my %init_opts = ( 'template=s' => \$_template, 'shared:s' => \$_shared,
>>                     'trunk|T=s' => \$_trunk, 'tags|t=s@' => \@_tags,
>>                     'branches|b=s@' => \@_branches, 'prefix=s' => \$_prefix,
>   +		      'no-prefix' => sub { $_prefix = "" },
>
>>                     'stdlayout|s' => \$_stdlayout,
>>                     'minimize-url|m!' => \$Git::SVN::_minimize_url,
>>                    'no-metadata' => sub { $icv{noMetadata} = 1 },
>
> That way, normal usage of --prefix would still be consistent with
> other git commands that prefer the form with argument attached
> (--prefix=foo, not --prefix foo; see gitcli(7)).
>
> Thoughts?

I do not think that it is a good idea to use "--no-anything" for
something that is not a boolean.

I can buy "--old-default-prefix", or "--empty-prefix", but running
"git svn --prefix ''" (or "--prefix=''") would be OK and logically
consistent anyway (i.e. the option tells us what string to add after
"refs/remotes/", and the old default that everybody hated were to
use an empty string), so...